Bug 1909610 - Fix available capacity when no storage class selected
Summary: Fix available capacity when no storage class selected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Ankush Behl
QA Contact: Neha Berry
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-21 07:42 UTC by Ankush Behl
Modified: 2021-02-24 15:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:47:16 UTC
Target Upstream Version:


Attachments (Terms of Use)
screencast of the storage class selection page (379.44 KB, video/webm)
2021-01-12 07:57 UTC, Neha Berry
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7402 0 None closed Bug 1909610: Fix available capacity when no storage class selected 2021-01-11 16:39:00 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:47:59 UTC

Description Ankush Behl 2020-12-21 07:42:35 UTC
Description of problem:
Fix Available capacity when no storage class selected

Steps to Reproduce:
1. Click OpenShift Container Storage 
2. Select Internal/Attach-Devices 
3. Internal/Attach-Devices -> when no storage class -> Available Capacity: 0/3 

Actual results:
Available Capacity: 0/3

Expected results:
Not Available

Additional info:

Comment 3 Neha Berry 2021-01-12 07:57:16 UTC
Created attachment 1746553 [details]
screencast of the storage class selection page

Verified the fix on following versions
===============================================

OCP = 4.7.0-0.nightly-2021-01-07-034013
OCS = 4.6.0 (LIVE)

In Storage and Node Page.

When no Storage class is selected from the dropdown, the screen shows this:

Storage Class 

Select storage class
Available capacity:
Not Available

-------------------------
When I select a storage class, Ui shows this:

Storage Class 

StorageClass
SC
localblock
Available capacity:
2.67 TiB / 3 replicas

=======================================================

Comment 6 errata-xmlrpc 2021-02-24 15:47:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.